package org.processmining.humbertogarciacaballero.models.model.commands;

import java.util.Observable;

public abstract class AbstractCommand extends Observable {

    public abstract void doIt();
    
    public abstract void undoIt();
    
    public void finish() {
        setChanged();
        notifyObservers();
    }
}
