package org.processmining.humbertogarciacaballero.plugins;

import javax.swing.JComponent;

import org.processmining.acceptingpetrinet.models.AcceptingPetriNet;
import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.humbertogarciacaballero.help.Help;

@Plugin(name = "Interactive Petri Net Visualizer Conformance", returnLabels = { "Visualized laidout Petri net" }, returnTypes = {
		JComponent.class }, parameterLabels = { "Accepting Petri net" }, userAccessible = true, help = Help.PLUGIN_ACCEPTING_NET_HELP_TEXT)
@Visualizer
public class InteractiveAcceptingPetrinetVisualizer extends InteractiveVisualizer {

	@PluginVariant(requiredParameterLabels = { 0 })
	public JComponent visualize(PluginContext context, AcceptingPetriNet n) {
		return visualizeWithAll(context, n);
	}
}
