package org.processmining.prabhakardixit.processanalytics;

import java.util.ArrayList;
import java.util.List;

import org.processmining.models.graphbased.directed.petrinet.elements.Transition;

public class PairwisePerformance {
	private Transition transition1;
	private Transition transition2;
	private List<Double> time;

	public PairwisePerformance(){
		
	}
	
	public PairwisePerformance(Transition t1, Transition t2, Double time2) {
		this.transition1 = t1;
		this.transition2 = t2;
		this.time = new ArrayList<Double>();
		this.time.add(time2);
	}

	public Transition getTransition1() {
		return transition1;
	}

	public Transition getTransition2() {
		return transition2;
	}

	
	public List<Double> getTime() {
		return time;
	}

	public void addTime(Double time) {
		this.time.add(time);
	}

}
